%global install_loc  %{_datadir}/eclipse/dropins/%{pkgname}
%global eclipse_base %{_libdir}/eclipse

%global pkgname      texlipse

Name:           eclipse-%{pkgname}
Version:        1.3.0
Release:        %mkrel 3.20090829cvs.2
Summary:        Eclipse plugin for editing Latex

Group:          Development/Java
License:        EPL
URL:            http://texlipse.sourceforge.net

Source0:        net.sourceforge.%{pkgname}.tar.gz
# Source1 is used to download Source0
Source1:        eclipse-%{pkgname}-download.sh


# Fedora related patches as upstream default is suitable for Windows as well
#    Fedora doesn't ship acroread, hence opting for xdg-open
Patch0:         eclipse-%{pkgname}-%{version}-pdfpreview.patch
#    Remove unneccessary files
Patch1:         eclipse-%{pkgname}-bin_excludes.patch

BuildRequires:  eclipse-pde
BuildRequires:  java-devel

Requires:       eclipse-platform
Requires:       texlive
Requires:       xdg-utils

# For Preview
Requires:       xdvik

# For Spell-Check (choosing default : English)
Requires:       hunspell-en

BuildArch:      noarch

# Ignoring rpmlint warning zero-length for Blank.tex, it is used as example

%description
Texlipse is a plugin that adds Latex editing support for the
popular Eclipse IDE.

Key features include:
    Syntax highlight, command completion, bibliography completion,
    outline navigation and automatic building.

%prep
%setup -q -c

%patch0 -p1 -b .pdfreview
%patch1 -p0 -b .exclude

find -name '*.jar' -o -name '*.class' -o -name '.cvsignore' -exec rm -f '{}' \;

# Preparing examples for %%doc
%{__cp} -pr net.sourceforge.%{pkgname}/docs/arch net.sourceforge.%{pkgname}/examples

%build

%{eclipse_base}/buildscripts/pdebuild

%install
%{__rm} -rf %{buildroot}

%{__install} -d -m 755 %{buildroot}%{install_loc}
unzip -d %{buildroot}%{install_loc} -q build/rpmBuild/net.sourceforge.%{pkgname}.zip

# Removing duplicates that should be in %%doc
%{__rm} -f %{buildroot}%{install_loc}/eclipse/plugins/net.sourceforge.%{pkgname}_%{version}/about.html

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc net.sourceforge.%{pkgname}/about.html
%doc net.sourceforge.%{pkgname}/examples
%{install_loc}




%changelog

* Tue Dec 27 2011 dmorgan <dmorgan> 1.3.0-3.20090829cvs.2.mga2
+ Revision: 188074
- Remove aspell-en as requires ( mga #3768)

* Fri May 13 2011 dmorgan <dmorgan> 1.3.0-3.20090829cvs.1.mga1
+ Revision: 98098
- imported package eclipse-texlipse


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3.20090829cvs
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Aug 29 2009 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 1.3.0-2.20090829cvs
- Corrected the spec file based on the comments from package review : RHBZ #506431
- Updated to upstream CVS checkout 20090829

* Tue Jun 16 2009 Chitlesh GOORAH <chitlesh [AT] fedoraproject DOT org> - 1.3.0-1.20090616cvs
- Initial Fedora Package

